<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <div class="nt-modal-full-page">
    <div class="nt-modal-full-page-head">
      <h3 class="nt-modal-full-page-head-title">
        <i class="icon icon-email"></i>Thêm mới mẫu email
      </h3>
    </div>
    <div class="nt-modal-full-page-body nt-scroll-primary" style="padding: 0 10px">
      <div class="row email-layout">
        <div class="col-md-6 d-flex flex-column h-100" style="padding: 0 10px">
          <div class="row email-info nt-scroll-primary">
            <div class="col-md-8 mx-auto">
              <form class="m-form m-form--state">
                <div
                  class="form-group m-form__group"
                  :class="{ 'has-danger': errors.has('addEmailTemplate.name') }"
                >
                  <label class="form-control-label nt-label">Tên mẫu</label>
                  <s-input-text
                    name="name"
                    data-vv-scope="addEmailTemplate"
                    v-model="emailTemplate.name"
                    class="form-control"
                    v-validate="{ max: 250 }"
                  ></s-input-text>
                  <div
                    class="form-control-feedback m--font-danger"
                    v-if="errors.has('addEmailTemplate.name')"
                  >{{ errors.first('addEmailTemplate.name') }}</div>
                  <div class="form-control-feedback m--font-danger" v-else>
                    <div
                      class="form-control-feedback m--font-danger"
                      v-if="server_errors != '' && server_errors['name']"
                    >{{ server_errors['name'][0] }}</div>
                    <div v-else>&nbsp;</div>
                  </div>
                </div>
                <div
                  class="form-group m-form__group"
                  :class="{ 'has-danger': errors.has('addEmailTemplate.title') }"
                >
                  <label class="form-control-label nt-label">
                    Tiêu đề
                    <span class="m--font-danger">*</span>
                  </label>
                  <s-input-text
                    name="title"
                    data-vv-scope="addEmailTemplate"
                    v-model="emailTemplate.title"
                    v-validate="{ required: true, max: 250 }"
                    class="form-control"
                  ></s-input-text>
                  <div
                    class="form-control-feedback m--font-danger"
                    v-if="errors.has('addEmailTemplate.title')"
                  >{{ errors.first('addEmailTemplate.title') }}</div>
                  <div class="form-control-feedback m--font-danger" v-else>
                    <div
                      class="form-control-feedback m--font-danger"
                      v-if="server_errors != '' && server_errors['title']"
                    >{{ server_errors['title'][0] }}</div>
                    <div v-else>&nbsp;</div>
                  </div>
                </div>
                <div
                  class="form-group m-form__group"
                  :class="{ 'has-danger': errors.has('addEmailTemplate.content') || isEmptyContent }"
                >
                  <label class="form-control-label nt-label">
                    Nội dung
                    <span class="m--font-danger">*</span>
                  </label>
                  <div class="nt-email-template-editor position-relative">
                    <div class="nt-insert-prefix-attribute-code-content">
                      <div
                        v-if="isLoaderAttribute"
                        class="m-loader m-loader--brand d-inline-block w-100"
                      ></div>
                      <div v-else>
                        <select
                          class="form-control nt-select"
                          v-model="attributeCodeCustomer"
                          @change="insertPrefixAttributeCodeForEmailContent()"
                        >
                          <option value disabled="disabled">Chọn trường cần gán</option>
                          <option
                            :value="attributeCustomer.prefix_attribute_code"
                            v-for="(attributeCustomer, index) in prefixAttributeCodeCustomer"
                            :key="index"
                          >{{ attributeCustomer.attribute_name }}</option>
                        </select>
                      </div>
                    </div>
                    <vue-editor
                      ref="vueEditorAddNewEmailTemplateContent"
                      data-vv-scope="addEmailTemplate"
                      v-validate="{ required: true, max: contentMax }"
                      name="content"
                      v-model="emailTemplate.content"
                      placeholder="Nhập nội dung ở đây"
                      :editorOptions="editorOptions"
                    ></vue-editor>
                    <div
                      id="quillInsertBox"
                      class="border bg-white d-none px-2 py-1 position-absolute align-items-center"
                      style="z-index: 2"
                    >
                      <input
                        type="text"
                        id="quillInput"
                        class="mr-2"
                        placeholder="Thêm điạ chỉ ảnh"
                      />
                      <span class="nt-link" style="cursor: pointer" @click="onAddImage">Lưu</span>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-md-8">
                      <div
                        class="form-control-feedback m--font-danger"
                        v-if="errors.has('addEmailTemplate.content')"
                      >{{ errors.first('addEmailTemplate.content') }}</div>
                      <div
                        class="form-control-feedback m--font-danger"
                        v-else-if="isEmptyContent"
                      >Không được để trống trường này.</div>
                      <div class="form-control-feedback m--font-danger" v-else>
                        <div
                          class="form-control-feedback m--font-danger"
                          v-if="server_errors != '' && server_errors['content']"
                        >{{ server_errors['content'][0] }}</div>
                        <div v-else>&nbsp;</div>
                      </div>
                    </div>
                    <div class="col-md-4">
                      <div class="text-right">
                        <div
                          class="nt-count"
                          v-if="!isEmptyContent && countContent > 0 && contentMax >= countContent"
                        >
                          Còn
                          <span
                            class="nt-simple-bold"
                            :class="classTextCountContent"
                          >{{ contentMax - countContent }}</span> ký tự.
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </form>
              <div class="nt-alert nt-alert-secondary m--margin-top-20 m--margin-bottom-20">
                <div class="nt-simple-bold">Lưu ý</div>
                <div class="email-notice">
                  <span>1.</span>
                  Để chỉnh sửa thông tin tổ chức xuất hiện trong email (bao gồm logo, số điện thoại, email, địa chỉ), khách hàng truy cập
                  <a
                    target="_blank"
                    :href="idpOrganizationInfo"
                    class="nt-link"
                  >tại đây</a>.
                </div>
                <div class="email-notice">
                  <span>2.</span>
                  Sau khi chỉnh sửa thông tin tổ chức, khách hàng nhấn nút dưới đây để xem các thông tin vừa sửa trong mục
                  <b>Xem trước mẫu email</b>.
                </div>
                <button class="btn btn-update" @click="updateEmailFrame">
                  <i class="icon icon-arrow-cycle"></i>
                  Cập nhật
                </button>
              </div>
            </div>
          </div>
          <div class="email-footer d-flex justify-content-end">
            <router-link
              class="nt-button nt-button-secondary mr-2"
              :to="{name : 'emailTemplateList', params : {team_id : currentTeam.team_id} }"
            >Hủy bỏ</router-link>
            <button
              :disabled="isDisabled"
              :class="{'nt-button-disabled' : isDisabled}"
              @click.prevent="addNewEmailTemplate('addEmailTemplate')"
              type="submit"
              class="modal-close nt-button nt-button-warning mr-0"
            >Lưu lại</button>
          </div>
        </div>
        <div class="col-md-6 email-preview h-100 nt-scroll-primary">
          <EmailTemplatePreview ref="emailTemplatePreview" :content="emailTemplate.content" />
        </div>
      </div>
      <div id="backdrop" class="d-none" @click="onDismiss"></div>
    </div>
  </div>
</template>